Bug 995904 - Unnecessary ellipsis on short TM source name in editor
Summary: Unnecessary ellipsis on short TM source name in editor
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI (Show other bugs)
(Show other bugs)
Version: 3.4
Hardware: Unspecified Unspecified
low
low
Target Milestone: ---
: 3.5
Assignee: Damian Jansen
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-11 23:52 UTC by Damian Jansen
Modified: 2015-01-26 23:27 UTC (History)
3 users (show)

Fixed In Version: 3.5.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-1861)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 23:27:43 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Jansen 2013-08-11 23:52:38 UTC
Description of problem:
Even if the TM is one character, the display of its name in the editor TM search is elided.

Version-Release number of selected component (if applicable):
Dev

How reproducible:
Easy always

Steps to Reproduce:
Pre: A TM is installed via Administration->Translation Memory
1. Go to a project version with a document, press Translate
2. In the Translation Memory panel, enter text that matches an entry in the installed TM
3. Press Search

Actual results:
The results from the Translation Memory show as $name..., e.g. "A..."

Expected results:
Just the name, if short enough eg. "A"

Additional info:

Comment 1 Damian Jansen 2014-07-24 02:53:51 UTC
Easy one.
https://github.com/zanata/zanata-server/pull/540

Comment 2 Ding-Yi Chen 2014-08-11 05:12:39 UTC
Zanata 3.5.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-1861)


Note You need to log in before you can comment on or make changes to this bug.